Agent Handler server requirements

You can install the McAfee ePO Agent Handler software on any supported Microsoft Windows server-class operating system.

The Agent Handler can authenticate to the McAfee ePO SQL database using domain credentials. If Windows authentication is not possible, the account the Agent Handler uses to authenticate to the database must use SQL authentication. For more information about Windows and SQL authentication, see the Microsoft SQL Server documentation.

The Agent Handler software requires one of these server-class operating systems:

  • Windows Server 2008 R2 Service Pack 1
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016
  • Windows Server 2019

Important: If you are using Windows Server 2012 or later, also install Microsoft update 2919355.